Subject: git-svn: Deleting directories

From: Russ Brown <[email-masked]>
Date: Mon, 24 Sep 2007 09:04:26 -0500

I've just noticed that when deleting entire directory trees in git, when
the dcommit happens only the files in that trees get deleted, which
leaves a 'ghost town' of a directory tree with folders but no files,
which will no doubt have somewhat confused my svn-using colleagues.

This is obviously an interoperability problem, but I understand that git
does not track folders and is so tricky to fix.

The question though is how to handle it. Ideally, dcommit will detect
that an entire directory has gone and send through a changeset which
deletes just that one directory, instead of the current behaviour of
explicitly deleting every file in the directory but leaving the
directories themselves intact.

-- 

Russ